/* eslint-disable no-unused-vars */
import "../scss/index.scss";
import bomb from "../res/svg/bomb-solid.svg";

import Game from "./screens/game.js";
import Multiplayer from "./helpers/multiplayer.js";

["DOMContentLoaded", "resize"].forEach(evt =>
    window.addEventListener(evt, (e) => {
        var main = document.getElementById("main");
        var info = main.children[1];

        if (main.scrollWidth > window.innerWidth) {
            main.style.display = "block";
            info.style.maxWidth = "unset";
        } else {
            main.style.display = "grid";
            info.style.maxWidth = "350px";
        }
    })
);

var img = document.createElement("img");
img.src = bomb;
document.querySelector("body > h1").prepend(img);

var board = document.getElementById("board");
board.addEventListener("contextmenu", (e) => {
    e.preventDefault();
});

var game = new Game(board);
var mp = new Multiplayer(game);

window.setInterval(function () {
    game.update();
}, 1000);